package fr.cnam.projet;

import java.util.*;

// Classe de definition d'une commande
//
public class Commande
{
  // Les caracteristiques d'une commande
  //
  private int     numero;         // numero de la commande
  private String  date;           // date de la commande. Au format JJ/MM/AAAA
  private String  client;         // nom du client
  private ArrayList<String> refProduits;  // references du produit commande
  private boolean livre;          // livraison de la commande
  private String  info;           // information de livraison


  // Constructeur
  //
  public Commande(int numero,
                  String date,
                  String client)
  {
    this.numero      = numero;
    this.date        = date;
    this.client      = client;
    this.refProduits = new ArrayList<String>();
    livre            = false;
    info             = "";
  }
    

  // Ajoute une reference de produit au bon de commande
  //
  public void addRefProduit(String refProduit)
  {
    refProduits.add(refProduit);
  }

  // La commande sous la forme d'unechaine
  //
  public String toString()
  {
    String strLivre="";
    if (livre) strLivre ="Livraison faite";

    String res="Commande       : "+numero+"   "+strLivre+"\n";
    res=res +   "  Date        : "+date+"\n";
    res=res +   "  Client      : "+client+"\n";
    res=res +   "  RefProduits : \n";
    for(String ref:refProduits)
      res=res+  "      " + ref + "\n";
    if (!info.equals("")) res=res+info+"\n";
    res=res+"---------------------------------\n";

    return res;
  }

  // Les getteurs et setteurs dont on a besoin

  public int getNumero(){return numero;}
  public ArrayList<String> getRefProduits(){return refProduits;}
  public void setRefProduits(ArrayList<String> refProduits){this.refProduits=refProduits;}
  public boolean getLivre(){return livre;}
  public void setLivre(boolean livre){this.livre=livre;}
  public void setInfo(String info){this.info = info;}
}